%define LANG	ko
%define UTF8	1

Summary: Korean(Hangul) Man(manual) Pages from the Korean Manpage Project.
Name: man-pages-%{LANG}
Version: 1.48
Release: 15.1.1
License: GPL
Epoch: 1
Group: Documentation
#Vendor: Korean Manpage Project Team.
URL: http://man.kldp.org/
Requires: gzip
Source0: man-pages-%{LANG}-%{version}.tar.gz
Patch0: man-pages-utf8-fixes.patch
Buildroot: %{_tmppath}/%{name}-root
Autoreqprov: false
BuildArchitectures: noarch

%description
Korean translation of the official manpages from LDP and
another useful manpages from various packages. It's done
by the Korean Manpage Project <http://man.kldp.org> which
is maintained by Korean Manpage Project Team.

%prep
rm -rf ${RPM_BUILD_ROOT}

%setup -c %{name}-%{version}
find . -name CVS -exec rm -rf {} \;

%if %{UTF8}
%patch0 -p 1

    rm -rf ./man7/iso_8859-1.7 ./man7/iso_8859-7.7
    for i in `find . -type f -name \*.gz`; do
	gunzip $i
        #gunzip $i | iconv -c -f EUC-KR -t UTF-8 | gzip > $i
    done
    for i in 1 1x 2 3 4 5 6 7 8 9; do
        for j in `find . -type f -name \*.$i`; do
            iconv -c -f EUC-KR -t UTF-8 $j -o $j.out
            cp -a $j.out $j
            rm $j.out
        done
    done

%endif

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_mandir}/ko
cp -a man? $RPM_BUILD_ROOT%{_mandir}/ko/

rm -f $RPM_BUILD_ROOT%{_mandir}/ko/man1/man.1*
rm -f $RPM_BUILD_ROOT%{_mandir}/ko/man5/man.config.5*

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0644, root, root, 0755)
%{_mandir}/ko

%changelog
* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 1:1.48-15.1.1
- rebuild

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Tue Nov 23 2004 Miloslav Trmac <mitr@redhat.com> - 1:1.48-15
- Recode also man.1x to UTF-8

* Mon Jun 21 2004 Alan Cox <alan@redhat.com>
- man isn't required (there are multiple man page readers), as per other
  man packages

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Feb 10 2004 Akira TAGOH <tagoh@redhat.com> 1.48-11
- removed man.1 and man.config.5, because the latest man contains those manpages.

* Tue Oct 28 2003 Leon Ho <llch@redhat.com>
- convert to utf-8 on build time
- modify logic in install

* Sun May 04 2003 Florian La Roche <Florian.LaRoche@redhat.de>
- do not include a Vendor: tag

* Thu Feb 20 2003 David Joo <djoo@redhat.com>
- bug #83614 fixed

* Mon Jan 27 2003 Jeremy Katz <katzj@redhat.com> 1:1.48-7
- add an epoch to fix upgrades from 8.0

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Fri Jan 10 2003 David Joo <djoo@redhat.com>
- Spelling mistakes fixed in specfile
- bug #81420 fixed

* Fri Dec 20 2002 David Joo <djoo@redhat.com>
- Updated to New version
- sgid bug fixed <#79965>

* Tue Nov 19 2002 Tim Powers <timp@redhat.com>
- rebuild in current collection instance

* Mon Aug 12 2002 Bill Nottingham <notting@redhat.com>
- fix group

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Fri Feb  1 2002 Bill Nottingham <notting@redhat.com>
- remove %post/%preun; they cause errors
- s/%%{prefix}/%%{_mandir}/g

* Thu Jan 31 2002 David Joo <davidjoo@redhat.com>
- Rebuilt against RHL 8.0

* Sun Jun 3 2001 Bae, Sunghoon <plodder@kldp.org>
- removed ftpcount, ftpwho, ftpshut, proftpd man pages
  because proftpd has it 
- changed man cache directory to /var/cache/man

* Tue May 23 2000 KIM KyungHeon <tody@teoal.sarang.net>
- changed name of spec file
- added some contents of spec (for relocatable)
- modified korean description
- fixed using 'makewhatis' command
- fixed expression in %files tag

* Sun Apr  23 2000 Bae, Sunghoon <plodder@kldp.org>
- modify .spec

* Sat Apr  22 2000 Chongkyoon, Rim <hermes44@secsm.org>
- modify .spec

* Tue Apr  4 2000 Bae, Sunghoon <plodder@kldp.org>
- First Release

